## AgsLv2LogManager

AgsLv2LogManager — allow lv2 plugins to log

## Stability Level

Stable, unless otherwise indicated

## Functions

int | ags_lv2_log_manager_printf ()
int | ags_lv2_log_manager_vprintf ()
AgsLv2LogManager * | ags_lv2_log_manager_get_instance ()
AgsLv2LogManager * | ags_lv2_log_manager_new ()

## Object Hierarchy

        GObject
        ╰── AgsLv2LogManager

## Includes

    #include <ags/plugin/ags_lv2_log_manager.h>

## Description

The AgsLv2LogManager handles console IO.

## Functions

### ags_lv2_log_manager_printf ()

    int
    ags_lv2_log_manager_printf (LV2_Log_Handle handle,
                                LV2_URID type,
                                const char *fmt,
                                ...);

Print formatted.

#### Parameters

handle | the log handle. | [type gpointer][transfer none]
type | LV2 URID. | [type gpointer][transfer none]
fmt | format |
... | `NULL` terminated variable arguments |

#### Returns

0

Since: 3.0.0

### ags_lv2_log_manager_vprintf ()

    int
    ags_lv2_log_manager_vprintf (LV2_Log_Handle handle,
                                 LV2_URID type,
                                 const char *fmt,
                                 va_list ap);

Variadict print formatted.

#### Parameters

handle | the log handle. | [type gpointer][transfer none]
type | LV2 URID. | [type gpointer][transfer none]
fmt | format |
ap | argument pointer |

#### Returns

0

Since: 3.0.0

### ags_lv2_log_manager_get_instance ()

    AgsLv2LogManager *
    ags_lv2_log_manager_get_instance ();

Singleton function to optain the id manager instance.

#### Returns

an instance of AgsLv2LogManager.

[transfer none]

Since: 3.0.0

### ags_lv2_log_manager_new ()

    AgsLv2LogManager *
    ags_lv2_log_manager_new ();

Instantiate a id manager.

#### Returns

a new AgsLv2LogManager

Since: 3.0.0